Package ghidra.graph.job

# Class RelayoutFunctionGraphJob<V extends VisualVertex,E extends VisualEdge<V>>

java.lang.Object
ghidra.graph.job.AbstractAnimatorJob
ghidra.graph.job.AbstractGraphVisibilityTransitionJob<V,E>
ghidra.graph.job.AbstractGraphTransitionJob<V,E>
ghidra.graph.job.RelayoutFunctionGraphJob<V,E>

All Implemented Interfaces:
  `GraphJob`

public class RelayoutFunctionGraphJob<V extends VisualVertex,E extends VisualEdge<V>> extends AbstractGraphTransitionJob<V,E>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ghidra.graph.job.AbstractGraphTransitionJob

  `AbstractGraphTransitionJob.ArticulationTransitionPoints, AbstractGraphTransitionJob.TransitionPoints`

- ## Field Summary

  ### Fields inherited from class ghidra.graph.job.AbstractGraphTransitionJob

  `edgeArticulationLocations, finalEdgeArticulations, graphLayout, vertexLocations`

  ### Fields inherited from class ghidra.graph.job.AbstractGraphVisibilityTransitionJob

  `duration, FAST_DURATION, graph, NORMAL_DURATION, useAnimation, viewer`

  ### Fields inherited from class ghidra.graph.job.AbstractAnimatorJob

  `animator, isShortcut, log, TOO_BIG_TO_ANIMATE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RelayoutFunctionGraphJob(GraphViewer<V,E> viewer, boolean useAnimation)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.jdesktop.animation.timing.Animator`
  `createAnimator()`
  `protected void`
  `finished()`
  A callback given when this animator has run to completion.
  `protected void`
  `initializeVertexLocations()`
  Create the vertex locations that will be transitioned over the life of this animator.

  ### Methods inherited from class ghidra.graph.job.AbstractGraphTransitionJob

  `calculateDefaultLayoutLocations, calculateDefaultLayoutLocations, canShortcut, clearLocationCache, getCurrentLayoutLocations, installFinalEdgeArticulations, setPercentComplete, shortcut, toLocation, updatePointFromPercentComplete`

  ### Methods inherited from class ghidra.graph.job.AbstractGraphVisibilityTransitionJob

  `getEdges, getEdges, isTooBigToAnimate, updateOpacity`

  ### Methods inherited from class ghidra.graph.job.AbstractAnimatorJob

  `dispose, execute, isFinished, setBusyListener, stop, toString, trace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RelayoutFunctionGraphJob

    public RelayoutFunctionGraphJob(GraphViewer<V,E> viewer, boolean useAnimation)

- ## Method Details

  - ### createAnimator

    protected org.jdesktop.animation.timing.Animator createAnimator()
    Overrides:
      `createAnimator` in class `AbstractGraphTransitionJob<V extends VisualVertex,E extends VisualEdge<V>>`

  - ### finished

    protected void finished()
    Description copied from class: `AbstractAnimatorJob`
    A callback given when this animator has run to completion. This will be called whether the animator is stopped prematurely or ends naturally.
    Overrides:
      `finished` in class `AbstractGraphTransitionJob<V extends VisualVertex,E extends VisualEdge<V>>`

  - ### initializeVertexLocations

    protected void initializeVertexLocations()
    Description copied from class: `AbstractGraphTransitionJob`
    Create the vertex locations that will be transitioned over the life of this animator. The locations are in `layout space`. This method is expected to update `AbstractGraphTransitionJob.vertexLocations` (and optionally `AbstractGraphTransitionJob.edgeArticulationLocations`).
    Specified by:
      `initializeVertexLocations` in class `AbstractGraphTransitionJob<V extends VisualVertex,E extends VisualEdge<V>>`